(* ----------------------------------------------------- *)
(*                       DBXDEMO.PAS                     *)
(*         Demonstriert die Anwendung von DialogBox      *)
(*             (c) 1991 by R.Reichert & toolbox          *)
(* ----------------------------------------------------- *)
PROGRAM DialogBoxDemo;

USES Stuff,    MouKey,   WinVSM,
     DBxItems, DBXSched, DiaBoxes;

VAR
  VSM    : WExtVSMPtr;
  Buts   : RadioButtonsPtr;
  Answer : BYTE;
  Dia    : DialogBoxPtr;
  Ev     : EventObj;

BEGIN
  VSM := New (WextVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  VSM^.ClrScr;
  Dia := New (EndButDialogBoxPtr, Init (5, 5, 70, 20,
                                        ' EndButDialogbox ',
                                        3,
                                        VSM));
  Buts:= New (WinRadioButtonsPtr,
              Init (8, 9, 30, 15, ' RadioButtons ', VSM));
  IF (Dia=NIL) OR (Buts=NIL) THEN BEGIN
    Writeln ('*** Fehler: Objekt (DialogBox) konnte nicht',
             ' initialisiert werden.');
    Writeln;
    Writeln ('Programm abgebrochen.');
    Halt (1);
  END;
  Buts^.Add (New (RadioButPtr,
                  Init (10, 10, 'Button Number #1',
                        Alt1, VSM)));
  Buts^.Add (New (RadioButPtr,
                  Init (10, 11, 'Button Number #2',
                        Alt2, VSM)));
  Buts^.Add (New (RadioButPtr,
                  Init (10, 12, 'Button Number #3',
                        Alt3, VSM)));
  Buts^.Add (New (RadioButPtr,
                  Init (10, 13, 'Button Number #4',
                        Alt4, VSM)));
  Buts^.Add (New (RadioButPtr,
                  Init (10, 14, 'Button Number #5',
                        Alt5, VSM)));
  Dia^.Add (Buts);
  Dia^.Add (New (InputFieldPtr,
                 Init (New (StringFieldPtr,
                            Init (51, 10,
                                  10, 100,
                                  '',
                                  'Eingabefeld',
                                  50, 9,
                                  '#Eingabe: ',
                                  AltE, VSM)))));
  Dia^.Add (New (PushButtonPtr,
                 Init (New (PushButPtr,
                            Init (50, 12,
                                  '#PushButton 1',
                                  AltP, FALSE, VSM)))));
  Dia^.Add (New (PushButtonPtr,
                 Init (New (PushButPtr,
                            Init (50, 14,
                                  'P#ushButton 2',
                                  AltU, FALSE, VSM)))));
  Mouse^.Show;
  EvHand^.SetTakeOut (TRUE);
  Answer := 0;
  REPEAT
    Dia^.Run;
    Answer := Dia^.GetReturnCode;
    IF Answer=SchHelp THEN BEGIN
      VSM^.Sound (1000);  VSM^.Delay (1000);  VSM^.NoSound;
    END;
  UNTIL (Answer=SchFinish) OR
        (Answer=SchCancel);
  Dia^.Close (Answer);
  EvHand^.SetTakeOut (FALSE);
  Mouse^.Hide;
  VSM^.GotoXY (1, 1);
  Writeln;
  IF Answer=SchFinish THEN BEGIN
    Writeln ('Die Resultate sind: ');
    Writeln (' RadioButtons: ',
             RadioButtonsPtr (Dia^.GetItem (1))^.GetResult);
    Writeln (' InputField: ',
             InputFieldptr (Dia^.GetItem (2))^.
               GetFPtr^.Result);
    Writeln (' PushButton 1: ',
             PushButtonPtr (Dia^.GetItem (3))^.GetResult);
    Writeln (' PushButton 2: ',
             PushButtonPtr (Dia^.GetItem (4))^.GetResult);
  END ELSE BEGIN
    Writeln ('Da "Cancel" gewhlt wurde, sind die Werte die',
             ' gleichen wie zuvor.');
  END;
  Writeln;
  Writeln (' Enter zum beenden ');
  Readln;
  Dispose (Dia, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                    Ende von DBXDEMO.PAS               *)
(* ----------------------------------------------------- *)
