(* ----------------------------------------------------- *)
(*                    SCHEDEMO.PAS                       *)
(*         Demonstiert die verschiedenen Scheduler       *)
(*           (c) 1991 by R.Reichert & toolbox            *)
(* ----------------------------------------------------- *)
PROGRAM DBxSchedulersDemo;

USES Stuff,    MouKey,   WinVSM,
     DBxItems, SAASched, DBxSched;

VAR
  VSM   : WExtVSMPtr;
  Ev    : EventObj;
  Sched : SAASchedulerPtr;
  Answer: BYTE;
  Quit  : BOOLEAN;

BEGIN
  VSM   := New (WExtVSMPtr,
                Init (New (ScreenObjPtr,
                           Init (0, 0))));
  Sched := New (WinInputFieldPtr,
                Init (New (StringFieldPtr,
                           Init (20, 10,
                                 10, 200,
                                 '',
                                 'Nichts',
                                 10, 10,
                                 '#Titel: ',
                                 AltT,
                                 VSM)),
                                 VSM));


{  Sched := New (WinRadioButtonsPtr,
              Init (8, 9, 30, 15, ' RadioButtons ', VSM));

  Sched := New (EndButtonPtr,
                Init (SchFinish, New (EndButPtr,
                                      Init (10, 2,
                                            '#PushButton 1',
                                            Enter,
                                            VSM))));

  Sched := New (PushButtonPtr,
                Init (New (PushButPtr,
                           Init (10, 2,
                                 '#PushButton 1',
                                 FALSE,
                                 VSM))));
}
  VSM^.ClrScr;

    { nur, falls vom Typ (Win)RadioButtonsPtr: }
{  WITH RadioButtonsPtr (Sched)^ DO BEGIN
    Add (New (RadioButPtr,
              Init (10, 10, 'Button Number #1',
                    Alt1, VSM)));
    Add (New (RadioButPtr,
              Init (10, 11, 'Button Number #2',
                    Alt2, VSM)));
    Add (New (RadioButPtr,
              Init (10, 12, 'Button Number #3',
                    Alt3, VSM)));
    Add (New (RadioButPtr,
              Init (10, 13, 'Button Number #4',
                    Alt4, VSM)));
    Add (New (RadioButPtr,
              Init (10, 14, 'Button Number #5',
                    Alt5, VSM)));
  END;
}  Sched^.Display;
  Sched^.DisplayHotKeys;
  Sched^.SetActive;
  Mouse^.Show;
  EvHand^.SetTakeOut (TRUE);
  Answer := 0;  Quit := FALSE;
  REPEAT
    Answer := SchOk;
    EvHand^.WaitForEvent (EvAll, Ev);
    IF (Ev.EventType=EvKeyPressed) AND
       (Ev.Key=27) THEN BEGIN
      Quit := TRUE;  Answer := 0;
    END ELSE BEGIN
      Sched^.CheckEvent (Ev);
      Answer := Sched^.GetReturnCode;
      IF (Answer=SchFinish) OR
         (Answer=SchCancel) THEN
        Quit := TRUE;
    END;
  UNTIL (Quit);
  EvHand^.SetTakeOut (FALSE);
  Dispose (Sched, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                 Ende von SCHEDEMO.PAS                 *)
(* ----------------------------------------------------- *)
