(* ----------------------------------------------------- *)
(*                      SFDEMO.PAS                       *)
(*      Demonstiert die verschiedenen Eingabefelder      *)
(*           (c) 1991 by R.Reichert & toolbox            *)
(* ----------------------------------------------------- *)
PROGRAM DBxItemsDemo;

USES Stuff, MouKey, WinVSM, DBxItems;

VAR
  VSM : WExtVSMPtr;
  Item: StringFieldPtr;
  Ev  : EventObj;
  Answer : BYTE;

BEGIN
  VSM := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  Item:= New (StringFieldPtr,  { <--- hier die }
              Init (20, 10,    {      verschiedenen }
                    20, 200,   { Typen einsetzen }
                    '',
                    'StartString',
                    8, 10,
                    ' #Vorspann: ',
                    AltV,
                    VSM));
  VSM^.ClrScr;
  EvHand^.SetTakeOut (TRUE);
  Mouse^.Show;
  Item^.Display;
  Item^.DisplayHotKey;
  REPEAT
    EvHand^.WaitForEvent (EvAll, Ev);
    Item^.CheckEvent (Ev);
    Answer := Item^.GetReturnCode;
  UNTIL (Answer=ItFinish);
  EvHand^.SetTakeOut (FALSE);
  Mouse^.Hide;
  VSM^.GotoXY (1, 1);
  Writeln ('Eingabe: ', Item^.Result);
  Readln;
{
  WITH RealFieldPtr (Item)^ DO BEGIN
    IF FieldValid THEN
      Writeln (Result);
  END;
}
  Dispose (Item, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                   Ende von SFDEMO.PAS                 *)
(* ----------------------------------------------------- *)
