(* ----------------------------------------------------- *)
(*                      README.PAS                       *)
(*                                                       *)
(*            (c) 1991 by R.Reichert & toolbox           *)
(* ----------------------------------------------------- *)
PROGRAM DataWindowDemo;

USES Stuff,   MouKey,
     WinVSM, ActStWi, ActDWin;

VAR
  ADW    : ActiveDataWindowPtr;
  VSM    : WExtVSMPtr;
  Ev     : EventObj;
  Answer : BYTE;
  xl, yl : BYTE;
  Str    : STRING;

BEGIN
  IF (ParamCount<>0) THEN
    Str := ParamStr (1)
  ELSE
    Str := '\DOKU.TXT';
  VSM := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  ADW := New (ActiveDataWindowPtr, Init (80, 2000,
                                         4200, VSM));
  IF (ADW<>NIL) THEN BEGIN
    Xl := VSM^.GetXLength;  Yl := VSM^.GetYLength;
    VSM^.FillPart (1, 1, xl, 1, 7,   ' ');
    VSM^.WriteStr (xl DIV 2 - 15, 1, 15,
                   '  ReadMe v1.0  -  Dokumentation  ');
    VSM^.FillPart (1, 2,    xl,    2,  15, '');
    VSM^.FillPart (1, 3,    xl, yl-2, $70, '');
    VSM^.FillPart (1, yl-1, xl, yl-1,  15, '');
    VSM^.WriteStr (xl DIV 2 - 17, yl, 15,
                   ' (c) 1991 by R.Reichert & toolbox ');
    Mouse^.Show;
    ADW^.SetShowCurPos (FALSE);
    ADW^.SetTitles (' ASCII-Viewer v2.0 - File: '+
                    UpString (Str)+' ', '');
    ADW^.SetIconTitle (UpString (Str));
    ADW^.SetNumber (1);
    ADW^.SetShadow (TRUE);
    ADW^.SetMinMax (1, 2, xl, Pred (yl));
    ADW^.SetMaxXY (1, 3, xl-2, yl-2);
    ADW^.SetXY (2, 3, xl-3, 2*yl DIV 3);
    ADW^.SetColors (15, 15, 0, 7);
    ADW^.SetIconXY (xl-20, yl-4);
    ADW^.SetSpaces (2, 2, 1, 1);
    ADW^.Open;
    ADW^.WriteStr ('Laden . . .  bitte einen Augenblick '+
                   'Geduld. ');
    ADW^.LoadAscii (Str, TRUE);
    IF ADW^.GetReturnCode=0 THEN BEGIN
      EvHand^.SetTakeOut (TRUE);  Answer := 0;
      REPEAT
        EvHand^.WaitForEvent (EvAll, Ev);
        ADW^.CheckEvent (Ev);
        Answer := ADW^.GetReturnCode;
        IF Answer=ADWSwitchedIcon THEN
          ADW^.SetActive;
      UNTIL Answer=ClosedWin;
      EvHand^.SetTakeOut (FALSE);
      Mouse^.Hide;
    END ELSE BEGIN
      ADW^.WriteStr ('');
      ADW^.WriteStr ('*** Fehler: Datei '+
                     UpString (Str)+
                     ' konnte nicht geladen werden.');
      ADW^.WriteStr ('');
      ADW^.WriteStr ('');
      ADW^.WriteStr ('Program abgebrochen.');
      Readln;
      ADW^.Close;
    END;
    VSM^.ClrScr;
    Dispose (ADW, Done);
    Dispose (VSM, Done)
  END ELSE BEGIN
    Writeln ('*** Fehler: Objekt(e) konnte(n) nicht '+
             'initialisiert werden.');
    Writeln;
    Write ('Programm abgebrochen.');
    Writeln;
  END;
END.
(* ----------------------------------------------------- *)
(*                 Ende von README.PAS                   *)
(* ----------------------------------------------------- *)
