(* ----------------------------------------------------- *)
(*                       BUFDEMO.PAS                     *)
(*                                                       *)
(*            (c) 1991 by R.Reichert & toolbox           *)
(* ----------------------------------------------------- *)
PROGRAM BufferDemo;

USES Crt, UBuffer, DiskBuf;

VAR
  Buf : BufferPtr;
  i,j : INTEGER;
  ch  : CHAR;

BEGIN
  TextAttr := 7;  ClrScr;
  Buf := New (BufferPtr, Init (80, 2000, 0, 0));
  IF (Buf<>NIL) THEN
    WITH Bufferptr (Buf)^ DO BEGIN
      SetWriteColor (White, Black);
      FOR i := 1 TO 10 DO
        WriteStr (' toolbox prsentiert: OOP-Demo'+
                  ' in weiss und schwarz');
      SetWriteColor (LightGray, Black);
      FOR i := 1 TO 10 DO
        WriteStr (' toolbox prsentiert: OOP-Demo'+
                  ' in hellgrau und schwarz');
      ChangeColor (1,1, Columns, 1,
                   White+Blink, LightGray);
      ChangeColor (1,11, Columns, 11,
                   White+Blink, LightGray);
      DelLines (9, 1);
      InsLines (10, 4);
      FOR i := 1 TO Lines DO BEGIN
        { ACHTUNG: Wenn ausgelagert wurde, funktioniert
          untenstehendes nicht, dann durch
            "Write (Convert2Str (i));"
          ersetzen                                        }
        FOR j := 1 TO GetLineLength (i) DO BEGIN
          TextAttr := Hi (TextBuf^[i]^[j]);
          Write (CHAR (Lo (TextBuf^[i]^[j])))
        END;  { ^^^^^ Direktzugriff nur,
                      damit Demo farbig luft             }
        Writeln;
        Delay (100);
      END;
      Readln;
      Done;
    END
  ELSE BEGIN
    Writeln;
    Writeln ('Fehler in BufferObj.Init !');
    TextAttr := 15;
    Write   ('Programm abgebrochen.');
    TextAttr := 7;
    Writeln;
  END;
END.
(* ----------------------------------------------------- *)
(*                Ende von BUFDEMO.PAS                   *)
(* ----------------------------------------------------- *)