(* ----------------------------------------------------- *)
(*                       LBDEMO.PAS                      *)
(*        Demonstriert die Anwendung von LoadBox         *)
(*            (c) 1991 by R.Reichert & toolbox           *)
(* ----------------------------------------------------- *)
PROGRAM LoadBoxDemo;

USES MouKey, WinVSM, DiaBoxes;

VAR
  VSM    : WExtVSMPtr;
  LB     : SaveBoxPtr;
  Answer : BYTE;
  Quit   : BOOLEAN;
  f      : TEXT;
  i      : BYTE;

BEGIN
  VSM := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  VSM^.ClrScr;
  LB := New (LoadBoxPtr, Init (10, 3, TRUE, VSM));
  IF LB=NIL THEN BEGIN
    WriteLn ('Objekt(e) nicht initialisiert.');
    WriteLn;
    WriteLn ('Programm abgebrochen.');
    Halt (1);
  END;
  Mouse^.Show;
  EvHand^.SetTakeOut (TRUE);
  Quit := FALSE; i := 1;
  REPEAT
    LB^.RunBy (i);
    Answer := LB^.GetReturnCode;
    i := LB^.GetActiveItem;
    IF Answer=LBLoad THEN BEGIN
    {$I-}
      Assign (f, LB^.GetResult);
      ReSet (f);
    {$I+}
      Quit := (IoResult=0);
      IF Quit THEN
        Close (f)
      ELSE
        i := 1;
    END ELSE
      IF Answer=LBCancel THEN
        Quit := TRUE
      ELSE BEGIN
        VSM^.Sound (1000); VSM^.Delay (1000); VSM^.NoSound;
      END;
  UNTIL Quit;
  LB^.Close;
  EvHand^.SetTakeOut (FALSE);
  VSM^.GotoXY (1, 1);
  IF Answer=LBLoad THEN
    Writeln ('Die Datei ', LB^.GetResult,
             ' knnte geladen werden.')
  ELSE
    Writeln ('Da Cancel gewhlt wurde, ',
             'wurde nicht versucht zu laden.');
  ReadLn;
  Dispose (LB, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                   Ende von LBDEMO.PAS                 *)
(* ----------------------------------------------------- *)
