(* ----------------------------------------------------- *)
(*                       SBDEMO.PAS                      *)
(*        Demonstriert die Anwendung von SaveBox         *)
(*            (c) 1991 by R.Reichert & toolbox           *)
(* ----------------------------------------------------- *)
PROGRAM SaveBoxDemo;

USES MouKey, WinVSM, DiaBoxes;

VAR
  VSM    : WExtVSMPtr;
  SB     : SaveBoxPtr;
  Answer : BYTE;
  Quit   : BOOLEAN;
  t      : TEXT;
  i      : BYTE;

BEGIN
  VSM := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  VSM^.ClrScr;
  SB := New (SaveBoxPtr, Init (10, 3, TRUE, VSM));
  IF SB=NIL THEN BEGIN
    WriteLn ('Objekt(e) nicht initialisiert.');
    WriteLn;
    WriteLn ('Programm abgebrochen.');
    Halt (1);
  END;
  Mouse^.Show;
  EvHand^.SetTakeOut (TRUE);
  Quit := FALSE; i := 1;
  REPEAT
    SB^.RunBy (i);
    Answer := SB^.GetReturnCode;
    i := SB^.GetActiveItem;
    IF Answer=SBSave THEN BEGIN
    {$I-}
      Assign (t, SB^.GetResult);
      ReWrite (t);
    {$I+}
      Quit := (IoResult=0);
      IF Quit THEN BEGIN
        Writeln (t, 'Das war LoadBoxSaveBoxDemo.');
        Close (t);
      END ELSE
        i := 1;
    END ELSE
      IF Answer=SBCancel THEN
        Quit := TRUE
      ELSE BEGIN
        VSM^.Sound (1000); VSM^.Delay (1000); VSM^.NoSound;
      END;
  UNTIL Quit;
  SB^.Close;
  EvHand^.SetTakeOut (FALSE);
  VSM^.GotoXY (1, 1);
  IF Answer=SBSave THEN
    Writeln ('In die Datei ', SB^.GetResult,
             ' wurde geschrieben.')
  ELSE
    Writeln ('Da Cancel gewhlt wurde, ',
             'wurde nicht gespeichert.');
  ReadLn;
  Dispose (SB, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                   Ende von SBDEMO.PAS                 *)
(* ----------------------------------------------------- *)
