(* ----------------------------------------------------- *)
(*                     STWIDEMO.PAS                      *)
(*                                                       *)
(*          (c) 1991 by R.Reichert & toolbox             *)
(* ----------------------------------------------------- *)
PROGRAM StandardWindowDemo;

USES WinVSM, StandWin;

VAR
  Win1,
  Win2 : StandardWindowPtr;
  VSM  : WExtVSMPtr;
  i    : BYTE;
  ch   : CHAR;

BEGIN
                          { initialisieren der Instanzen: }
  VSM := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  Win1 := New (StandardWindowPtr, Init (VSM));
  Win2 := New (StandardWindowPtr, Copy (Win1^));

  VSM^.SetTextAttr (7);
  VSM^.ClrScr;
  FOR i := 1 TO 220 DO
    VSM^.Write (' toolbox ');
  VSM^.GotoXY (1,1);
                                   { Window 1 bearbeiten: }
  Win1^.SetShadow (Off);
  Win1^.SetXY (1, 1, 80, 25);
  Win1^.SetTitles (' Hello World ', ' ''bye ');
  Win1^.SetColors (7, 15, 7, 0);
  Win1^.SetClearWin (Off);
  Win1^.Open;
                                     { Window 2 bearbeiten: }
  Win2^.SetXY (10, 7, 70, 20);
  Win2^.SetTitles
    (' Another Window - moving and zooming possible ',
     ' ''night ');
  Win2^.SetFrame (1);
  Win2^.  SetMinMax (2, 2, 79, 24);
  Win2^.SetZooming (On);
  Win2^.SetMoving (On);
  Win2^.Open;
  VSM^.WriteStr (11,8, 15,
                 ' Moving with: e/x/s/d,'+
                 ' Zooming with: E/X/S/D');
  { ACHTUNG: Dieser "Fensterinhalt" geht verloren,
             da StandWin nicht aktiv ist, dh nicht
             aufpasst, was in ihm ist ! Diese Eigenschaft
             gehrt erst zu ActiveStandWin.               }
  REPEAT
    ch := VSM^.ReadKey;
    CASE ch OF
      'e' : Win2^.Move (0,-1);
      'x' : Win2^.Move (0,1);
      's' : Win2^.Move (-1,0);
      'd' : Win2^.Move (1,0);
      'E' : Win2^.Zoom (0,-1);
      'X' : Win2^.Zoom (0,1);
      'S' : Win2^.Zoom (-1,0);
      'D' : Win2^.Zoom (1,0)
    END
  UNTIL (ch=#27);
                       { die Instanzen wieder beseitigen: }
  Dispose (Win2, Done);
  Dispose (Win1, Done);
  Dispose (VSM, Done);
END.
(* ----------------------------------------------------- *)
(*                  Ende von STWIDEMO.PAS                *)
(* ----------------------------------------------------- *)
