(* ----------------------------------------------------- *)
(*                        WINDEMO.PAS                    *)
(*                                                       *)
(*         (c) 1991 by R.Reichert & toolbox              *)
(* ----------------------------------------------------- *)
PROGRAM WindowDemo;

USES ScrObj, WinVSM, Windows;

VAR
  Win1,
  Win2 : WindowPtr;
  Crt  : WExtVSMPtr;
  i    : BYTE;

BEGIN
                          { initialisieren der Instanzen: }
  Crt := New (WExtVSMPtr,
              Init (New (ScreenObjPtr, Init (0, 0))));
  Win1 := New (WindowPtr, Init (Crt));
  Win2 := New (WindowPtr, Copy (Win1^));
                           { Bildschirm schn herrichten: }
  IF Crt=NIL THEN BEGIN
    Writeln ('Programmfehler: Objekt "Crt" konnte nicht '+
             'initialisiert werden, die Fensterobjekte '+
             'ebenfalls nicht (Folgefehler). ');
    Writeln;
    Writeln ('Programm abgebrochen.');
    Halt (1)
  END;
  Crt^.ClrScr;
  FOR i := 1 TO 222 DO
    Crt^.Write (' toolbox ');
  Crt^.GotoXY (1,1);
                             { Erstes Fenster bearbeiten: }
  Win1^.SetTitles (' Hello World - this is window 1 ',
                   ' Good bye ');
  Win1^.Open;
  Readln;
  Win1^.Close;
  Win1^.SetTitles (' Hello World ', ' ''bye ');
  Win1^.SetColors (7,15,7,0);
  Win1^.Open;
  Readln;
                              { Window 2 bearbeiten: }
  Win2^.SetXY (10, 7, 70, 20);
  Win2^.SetTitles (' Hello World - this is window 2 ',
                   ' Good night ');

  Win2^.SetFrame (1);
  Win2^.SetClearWin (On);
  Win2^.SetShadow (On);
  Win2^.Open;
  Readln;
  Crt^.ClrScr;
                  { die Instanzen wieder beseitigen: }
  Dispose (Win2, Done);
  Dispose (Win1, Done);
  Dispose (Crt, Done);
END.
(* ----------------------------------------------------- *)
(*                Ende von WINDEMO.PAS                   *)
(* ----------------------------------------------------- *)
